import { PostHog } from '../../posthog-core';
import { Survey, SurveyAppearance, MultipleSurveyQuestion, SurveyQuestion } from '../../posthog-surveys-types';
import { VNode } from 'preact';
export declare const style: (appearance: SurveyAppearance | null) => string;
export declare function getContrastingTextColor(color?: string): "black" | "white";
export declare function getTextColor(el: HTMLElement): "black" | "white";
export declare const defaultSurveyAppearance: SurveyAppearance;
export declare const defaultBackgroundColor = "#eeeded";
export declare const createShadow: (styleSheet: string, surveyId: string) => ShadowRoot;
export declare const sendSurveyEvent: (responses: Record<string, string | number | string[] | null> | undefined, survey: Survey, posthog?: PostHog) => void;
export declare const shuffle: (array: any[]) => any[];
export declare const getDisplayOrderChoices: (question: MultipleSurveyQuestion) => string[];
export declare const getDisplayOrderQuestions: (survey: Survey) => SurveyQuestion[];
export declare const SurveyContext: import("preact").Context<{
    isPreviewMode: boolean;
    previewPageIndex: number | undefined;
    handleCloseSurveyPopup: () => void;
}>;
interface RenderProps {
    component: VNode<{
        className: string;
    }>;
    children: string;
    renderAsHtml?: boolean;
    style?: React.CSSProperties;
}
export declare const renderChildrenAsTextOrHtml: ({ component, children, renderAsHtml, style }: RenderProps) => VNode<{
    className: string;
}>;
export {};
